Method: projects.locations.spaces.applicationTemplates.export

Exports Terraform files for an application template. The generated modules can have remote sources or local sources downloaded from remote. This is an ASYNCHRONOUS operation that returns a Long Running Operation.

HTTP request

POST https://designcenter.googleapis.com/v1/{name=projects/*/locations/*/spaces/*/applicationTemplates/*}:export

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The name of the application template.

Request body

The request body contains data with the following structure:

JSON representation
{
  "artifactLocation": {
    object (ArtifactLocation)
  },
  "exportIacConfig": {
    object (ExportIaCConfig)
  }
}
Fields
artifactLocation

object (ArtifactLocation)

Optional. Specifies the destination for the generated IaC, which can be Cloud Storage or a Developer Connect repository. Default is Google Cloud Storage.

exportIacConfig

object (ExportIaCConfig)

Optional. Configuration for exporting IaC.

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the name resource:

  • designcenter.applicationTemplates.update

For more information, see the IAM documentation.